Samba Debian 7 Wheeze – Cannot Install Updates apt-get -f does not work

Seem this is due to a bug.

How to fix.

run this command

rm /etc/dhcp3 

 

I came accross this ina  similar situation.
When installing samba-common:

dpkg: error processing /var/cache/apt/archives/samba-common_2%3a3.6.3-2ubuntu2.3_all.deb (--unpack):
 unable to open '/etc/dhcp3/dhclient-enter-hooks.d/samba.dpkg-new': No such file or directory

In my case /etc/dhcp3 was a link to /etc/dhcp, because it was needed for Vmware customisations scripts:
http://javierin.com/2012/09/05/template-customization-para-debian-squeeze-en-vsphere-5-0u1/

The samba package just cannot handle that at all though.
Removing the link, allows samba to install:
rm /etc/dhcp3
(or copying the directory as noted above).
Howver this is not nice at all, having two directories for dhcp and one or the other might be read depending on circumstances.

So to me this is bug in the samba packaging.
==> Could this issue be re-opend please and the samba packaing examined?

-- 
You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to samba in Ubuntu.
https://bugs.launchpad.net/bugs/993660

Title:
  package samba-common 2:3.5.8~dfsg-1ubuntu2.4 failed to
  install/upgrade: unable to open '/etc/dhcp3/dhclient-enter-
  hooks.d/samba.dpkg-new': Too many levels of symbolic links

Status in “samba” package in Ubuntu:
  Expired

Bug description:
  When I tried "apt-get install -f" from a command line, I got this:

  Reading package lists... Done

 

Creds: https://lists.ubuntu.com/archives/foundations-bugs/2013-February/137216.html